osl::ntesuki::NtesukiMoveList Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
osl::ntesuki::NtesukiMoveList Class Reference

ntesuki 探索で使う指手のリスト More...

`#include <ntesukiMoveList.h>`

Inheritance diagram for osl::ntesuki::NtesukiMoveList:
[legend]
Collaboration diagram for osl::ntesuki::NtesukiMoveList:
[legend]

## Public Member Functions
| NtesukiMoveList ()
| NtesukiMoveList (const NumEffectState &state, const osl::MoveVector &mv)
NtesukiMove * | add (const NtesukiMove &move)
| 重複をしないように手を追加するメソッド. More...
const NtesukiMove & | find (const NtesukiMove &move) const

## Detailed Description

ntesuki 探索で使う指手のリスト

Definition at line 27 of file ntesukiMoveList.h.

## Constructor & Destructor Documentation

osl::ntesuki::NtesukiMoveList::NtesukiMoveList | ( | ) |  |

Definition at line 7 of file ntesukiMoveList.cc.

osl::ntesuki::NtesukiMoveList::NtesukiMoveList | ( | const NumEffectState & | state,
|  | const osl::MoveVector & | mv
| ) |  |

Definition at line 12 of file ntesukiMoveList.cc.

References osl::alt(), ntesuki_assert, and osl::ntesuki::NtesukiMove::setCheck().

## Member Function Documentation

osl::ntesuki::NtesukiMove * osl::ntesuki::NtesukiMoveList::add | ( | const NtesukiMove & | move) |  |

重複をしないように手を追加するメソッド.

`move` があるかどうか捜し，あった場合には 既にある move への参照を返す. なかった場合には `move` と同じ osl::Move を持つような NtesukiMove を追加する. 勝敗に関係する flags や record 等の情報は保持しないので注意. 通常の追加の場合には push_front を用いること.

Definition at line 63 of file ntesukiMoveList.cc.

References osl::ntesuki::NtesukiMove::getMove(), and osl::ntesuki::NtesukiMove::isCheck().

Referenced by osl::ntesuki::NtesukiMoveGenerator::generateWithRzone().

const osl::ntesuki::NtesukiMove & osl::ntesuki::NtesukiMoveList::find | ( | const NtesukiMove & | move) |  | const

Definition at line 48 of file ntesukiMoveList.cc.

References osl::ntesuki::NtesukiMove::getMove().

The documentation for this class was generated from the following files:

- ntesukiMoveList.h
- ntesukiMoveList.cc